Loading...
Searching...
No Matches
juce::PropertyComponent::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

The documentation for this struct was generated from the following file:

- juce_gui_basics/properties/juce_PropertyComponent.h

Inheritance diagram for juce::PropertyComponent::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawPropertyPanelSectionHeader (Graphics &, const String &name, bool isOpen, int width, int height)=0
virtual void | drawPropertyComponentBackground (Graphics &, int width, int height, PropertyComponent &)=0
virtual void | drawPropertyComponentLabel (Graphics &, int width, int height, PropertyComponent &)=0
virtual Rectangle< int > | getPropertyComponentContentPosition (PropertyComponent &)=0
virtual int | getPropertyPanelSectionHeaderHeight (const String &sectionTitle)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::PropertyComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawPropertyPanelSectionHeader()

virtual void juce::PropertyComponent::LookAndFeelMethods::drawPropertyPanelSectionHeader | ( | Graphics & | ,
|  | const String & | name,
|  | bool | isOpen,
|  | int | width,
|  | int | height )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References name.

## drawPropertyComponentBackground()

virtual void juce::PropertyComponent::LookAndFeelMethods::drawPropertyComponentBackground | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | PropertyComponent & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::PropertyComponent::PropertyComponent().

## drawPropertyComponentLabel()

virtual void juce::PropertyComponent::LookAndFeelMethods::drawPropertyComponentLabel | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | PropertyComponent & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::PropertyComponent::PropertyComponent().

## getPropertyComponentContentPosition()

virtual Rectangle< int > juce::PropertyComponent::LookAndFeelMethods::getPropertyComponentContentPosition | ( | PropertyComponent & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::PropertyComponent::PropertyComponent().

## getPropertyPanelSectionHeaderHeight()

virtual int juce::PropertyComponent::LookAndFeelMethods::getPropertyPanelSectionHeaderHeight | ( | const String & | sectionTitle | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited